{% load static %}

<!DOCTYPE html>
<html dir="ltr" lang="en" class="h-100">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="keywords"
        content="advanced custom search, agency, agent, business, clean, corporate, directory, google maps, homes, idx agent, listing properties, membership packages, property, real broker, real estate, real estate agent, real estate agency, realtor">
    <meta name="description" content="Homeet HSE — квартиры для вышкинцев">
    <meta name="CreativeLayers" content="ATFN">
    <!-- css file -->
    <link rel="stylesheet" href="{% static 'general/css/bootstrap.min.css' %}">
    <link rel="stylesheet" href="{% static 'general/css/style.css' %}">
    <!-- Responsive stylesheet -->
    <link rel="stylesheet" href="{% static 'general/css/responsive.css' %}">
    <!-- Title -->
    <title>Homeet HSE</title>
    <!-- Favicon -->
    <link href="{% static 'general/images/favicon.svg' %}" sizes="128x128" rel="shortcut icon" type="image/x-icon" />
    <link href="{% static 'general/images/favicon.svg' %}" sizes="128x128" rel="shortcut icon" />
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;1,300&display=swap"
        rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body class="green-body pr0-i" style="min-height: 100vh;">

    <div class="sign_up_modal modal fade bd-example-modal-lg" id="LoginErrorModalCenter" tabindex="-1" role="dialog"
        aria-labelledby="PassOrLogError" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Неверный логин или пароль
                </div>
                <!--<div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="button" class="btn btn-primary">Save changes</button>
            </div>-->
            </div>
        </div>
    </div>
    <div class="sign_up_modal modal fade bd-example-modal-lg" id="RegisterErrors" tabindex="-1" role="dialog"
        aria-labelledby="EmailTaken" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <!--'User with this Email already exists.' in form.email.errors
                'Domain of email is not valid' in form.email.errors
                form.password2.errors-->
                    <ul>
                        {% if 'User with this Email already exists.' in form.email.errors %}
                        <li>Пользователь с такой почтой уже зарегестрирован.</li>
                        {% endif %}
                        {% if 'Domain of email is not valid' in form.email.errors %}
                        <li>
                            Почта должна содержать @hse.ru, или @edu.hse.ru, или @miem.hse.ru.
                        </li>
                        {% endif %}
                        {% if form.password2.errors %}
                        <li>
                            Пароль слишком простой или пароли не совпадают
                        </li>
                        {% endif %}

                    </ul>

                </div>
                <!--<div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="button" class="btn btn-primary">Save changes</button>
            </div>-->
            </div>
        </div>
    </div>

    <div class="sign_up_modal modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true"
        id="modal-reset-password">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body container pb20">
                    <div class="row mt25">
                        <div class="col-lg-12 col-xl-12">
                            <div class="login_form">
                                <div class="heading">
                                    <h4>Восстановление пароля</h4>
                                </div>

                                <form action="/set-password" method="POST" class="">
                                    {% csrf_token %}
                                    <div class="input-group mb-2 mr-sm-2" data-toggle="tooltip" data-trigger="focus"
                                        data-placement="bottom" data-html="true" data-template='<div class="custom-tooltip tooltip" role="tooltip">
                                        <div class="custom-arrow">
                                        </div>
                                        <div class="max-w600 opacity-5 tooltip-inner">
                                        </div>
                                        </div>' title="Пароль должен содержать
                                        не
                                        менее 8 символов, а так же строчные, заглавные буквы, цифры и символы
                                            ">
                                        {{ update_password_form.password1 }}
                                        <div class="input-group-prepend">
                                            <div class="input-group-text"><i class="flaticon-user"></i></div>
                                        </div>
                                    </div>
                                    <!--<p class="error-message not-error-message text-center mt-2">Пароль должен содержать
                                        не менее 8 символов, а так же строчные, заглавные буквы, цифры и символы</p>-->
                                    <div class="input-group mb-2 mr-sm-2">
                                        {{ update_password_form.password2 }}
                                        <div class="input-group-prepend">
                                            <div class="input-group-text"><i class="flaticon-user"></i></div>
                                        </div>
                                    </div>
                                    <!--{% if restoreError %}

                                    {% endif %}-->
                                    {{ update_password_form.restore_key }}
                                    <button type="submit" class="btn btn-log btn-block btn-thm">Сохранить</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="sign_up_modal modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true"
        id="modal-restore-email">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body container pb20">
                    <div class="row mt25">
                        <div class="col-lg-12 col-xl-12">
                            <div class="login_form">
                                <div class="heading">
                                    <h4>Восстановление пароля</h4>
                                </div>

                                <form action="/restore" method="POST" class="">
                                    {% csrf_token %}
                                    <div class="input-group mb-2 mr-sm-2">
                                        {{ restore_form.email }}
                                        <div class="input-group-prepend">
                                            <div class="input-group-text"><i class="flaticon-user"></i></div>
                                        </div>
                                    </div>
                                    <button type="submit" class="btn btn-log btn-block btn-thm">Отправить
                                        письмо</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- main form -->
    <header>
        <div class="container-fluid pb30 pt20">
            <div class="row justify-content-center">
                <div class="col-auto">
                    <img class="h80 mh-50" src="{% static 'general/images/favicon.svg' %}">
                </div>
            </div>
        </div>
    </header>
    <main>
        <div class="custom-container container bg-white rounded-3 border-3 pt-2 pb-2 pb-1" tabindex="-1" role="document"
            id="modal-login">
            <div class="row">
                <div class="col">
                    <ul class="sign_up_tab nav nav-tabs" id="myTab" role="tablist">
                        {% if form.email.errors or form.password2.errors %}
                        <li class="nav-item">
                            <a class="nav-link" id="home-tab" data-toggle="tab" href="#home" role="tab"
                                aria-controls="home" aria-selected="false">Войти</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link active" id="profile-tab" data-toggle="tab" href="#profile" role="tab"
                                aria-controls="profile" aria-selected="true">Зарегистрироваться</a>
                        </li>
                        {% else %}
                        <li class="nav-item">
                            <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab"
                                aria-controls="home" aria-selected="true">Войти</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab"
                                aria-controls="profile" aria-selected="false">Зарегистрироваться</a>
                        </li>
                        {% endif %}
                    </ul>
                </div>
            </div>
            <div class="tab-content container" id="myTabContent">
                {% if form.email.errors or form.password2.errors %}
                <div class="row mt25 tab-pane" id="home" role="tabpanel" aria-labelledby="home-tab">
                    <div class="col-lg-12 col-xl-12">
                        <div class="login_form mb0 pb-2" >
                            <div class="heading">
                                <h4>Авторизация для студентов НИУ ВШЭ</h4>
                            </div>
                            <a href="{% url 'oidc_authentication_init' %}" class="btn btn-log btn-block btn-thm"
                                style="    padding-top: 13px;">Войти через ЕЛК</a>
                            <hr>
                            <form action="/login" method="POST" class="">
                                {% csrf_token %}
                                <div class="input-group mb-2 mr-sm-2">
                                    {{ login_form.username }}
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><i class="flaticon-user"></i></div>
                                    </div>
                                </div>
                                <div class="input-group form-group">
                                    {{ login_form.password }}
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><i class="flaticon-password"></i></div>
                                    </div>
                                </div>
                                <div class="input-group form-group">
                                    {# {{ login_form.captcha }}#}
                                </div>
                                <div class="form-group custom-control custom-checkbox mb-3 pl-0">
                                    <a class="btn-fpswd float-left" id="restoreClick">Восстановить пароль</a>
                                </div>
                                <!--{% if error %}
                                <p class="error-message text-center mt-2">Неверный логин или пароль</p>
                                {% endif %}-->
                                <button type="submit" class="btn btn-log btn-block btn-thm">Войти</button>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="row mt25 tab-pane show active" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                    <div class="col-lg-12 col-xl-12">
                        <div class="sign_up_form">
                            <div class="heading">
                                <h4>Регистрация для риелторов и выпускников НИУ ВШЭ</h4>
                            </div>

                            <form action="/register" method="POST" class="">
                                {% csrf_token %}
                                <div class="form-group input-group" data-toggle="tooltip" data-trigger="focus"
                                    data-placement="bottom" data-html="true" data-template='<div class="custom-tooltip tooltip" role="tooltip">
                                    <div class="custom-arrow">
                                    </div>
                                    <div class="max-w600 opacity-5 tooltip-inner">
                                    </div>
                                    </div>' title="После успешной
                                    регистрации
                                    вам на почту придет письмо подтверждение
                                        ">
                                    {{ form.email }}
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><i class="fa fa-envelope-o"></i></div>
                                    </div>
                                </div>
                                <div class="pb-2 form-group custom-control custom-checkbox"
                                    style="color: rgba(16,45,105, .8)">
                                    {{ form.iamrealtor }}
                                    <label class="custom-control-label checkbox-class" for="iamrealtor"><b>Я
                                            риелтор</b></label>
                                </div>
                                <!--<p class="error-message not-error-message text-center mt-2">После успешной
                                    регистрации
                                    вам на почту придет письмо подтверждение</p>-->
                                <!--{% if 'User with this Email already exists.' in form.email.errors %}
                                <p class="error-message text-center mt-2">Пользователь с такой почтой уже
                                    зарегестрирован</p>
                                {% elif 'Domain of email is not valid' in form.email.errors %}
                                <p class="error-message text-center mt-2">Почта должна содержать @hse.ru, или
                                    @edu.hse.ru, или @miem.hse.ru</p>
                                {% endif %}-->
                                <div class="form-group input-group" data-toggle="tooltip" data-trigger="focus"
                                    data-placement="bottom" data-html="true" data-template='<div class="custom-tooltip tooltip" role="tooltip">
                                    <div class="custom-arrow">
                                    </div>
                                    <div class="max-w600 opacity-5 tooltip-inner">
                                    </div>
                                    </div>' title="Пароль должен содержать
                                    не
                                    менее 8 символов, а так же строчные, заглавные буквы, цифры и символы
                                        ">
                                    {{ form.password1 }}
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><i class="flaticon-password"></i></div>
                                    </div>
                                </div>
                                <!--<p class="error-message not-error-message text-center mt-2">Пароль должен содержать
                                    не
                                    менее 8 символов, а так же строчные, заглавные буквы, цифры и символы</p>-->
                                <div class="mb0 form-group input-group">
                                    {{ form.password2 }}
                                    <div class="input-group-prepend">
                                        <div class="input-group-text"><i class="flaticon-password"></i></div>
                                    </div>
                                </div>
                                <!--{% if form.password2.errors %}
                                <p class="error-message text-center mt-2">Пароль слишком простой или пароли
                                    не совпадают</p>
                                {% endif %}-->
                                {{ form.type }}
                                <div class="pb-2 form-group custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="exampleCheck2" required>
                                    <label class="custom-control-label checkbox-class" for="exampleCheck2">Я
                                        прочитал и принимаю <a class="" href="https://info.homeet.styleru.org"
                                            target="_blank">Условия</a> и
                                        <a class="" href="https://www.hse.ru/data_protection_regulation"
                                            target="_blank">Политику
                                            конфиденциальности</a>?</label>
                                </div>
                                <div class="pt-md-0 pt-3">
                                    <button type="submit" class="btn btn-log btn-block btn-thm">Зарегистрироваться
                                    </button>
                                </div>
                        </div>
                        </form>
                    </div>
                </div>
            </div>
            {% else %}
            <div class="row mt25 tab-pane show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                <div class="col-lg-12 col-xl-12">
                    <div class="login_form mb0 pb-2">
                        <div class="heading">
                            <h4>Авторизация для студентов НИУ ВШЭ</h4>
                        </div>
                        <a href="{% url 'oidc_authentication_init' %}" class="btn btn-log btn-block btn-thm"
                            style="    padding-top: 13px;">Войти через ЕЛК</a>
                        <hr>
                        <form action="/login" method="POST" class="">
                            {% csrf_token %}
                            <div class="input-group mb-2 mr-sm-2">
                                {{ login_form.username }}
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><i class="flaticon-user"></i></div>
                                </div>
                            </div>
                            <div class="input-group form-group">
                                {{ login_form.password }}
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><i class="flaticon-password"></i></div>
                                </div>
                            </div>
                            <div class="input-group form-group">
                                {# {{ login_form.captcha }}#}
                            </div>
                            <div class="form-group custom-control custom-checkbox mb-3 pl-0">
                                <a class="btn-fpswd float-left" id="restoreClick">Восстановить пароль</a>
                            </div>
                            <!--{% if error %}
                                <p class="error-message text-center mt-2">Неверный логин или пароль</p>
                                {% endif %}-->
                            <button type="submit" class="btn btn-log btn-block btn-thm">Войти</button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="row mt25 tab-pane" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                <div class="col-lg-12 col-xl-12">
                    <div class="sign_up_form">
                        <div class="heading">
                            <h4>Регистрация для риелторов и выпускников НИУ ВШЭ</h4>
                        </div>

                        <form action="/register" method="POST" class="">
                            {% csrf_token %}
                            <div class="form-group input-group" data-toggle="tooltip" data-trigger="focus"
                                data-placement="bottom" data-html="true" data-template='<div class="custom-tooltip tooltip" role="tooltip">
                                    <div class="custom-arrow">
                                    </div>
                                    <div class="max-w600 opacity-5 tooltip-inner">
                                    </div>
                                    </div>' title="После успешной
                                    регистрации
                                    вам на почту придет письмо подтверждение
                                        ">
                                {{ form.email }}
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><i class="fa fa-envelope-o"></i></div>
                                </div>
                            </div>
                            <div class="pb-2 form-group custom-control custom-checkbox"
                                style="color: rgba(16,45,105, .8)">
                                {{ form.iamrealtor }}
                                <label class="custom-control-label checkbox-class" for="iamrealtor"><b>Я
                                        риелтор</b></label>
                            </div>
                            <!--<p class="error-message not-error-message text-center mt-2">После успешной
                                        регистрации
                                        вам на почту придет письмо подтверждение</p>-->
                            <!--{% if 'User with this Email already exists.' in form.email.errors %}
                                <p class="error-message text-center mt-2">Пользователь с такой почтой уже
                                    зарегестрирован</p>
                                {% elif 'Domain of email is not valid' in form.email.errors %}
                                <p class="error-message text-center mt-2">Недопустимая почта</p>
                                {% endif %}-->
                            <div class="form-group input-group" data-toggle="tooltip" data-trigger="focus"
                                data-placement="bottom" data-html="true" data-template='<div class="custom-tooltip tooltip" role="tooltip">
                                    <div class="custom-arrow">
                                    </div>
                                    <div class="max-w600 opacity-5 tooltip-inner">
                                    </div>
                                    </div>' title="Пароль должен содержать
                                    не
                                    менее 8 символов, а так же строчные, заглавные буквы, цифры и символы
                                        ">
                                <!--title="Пароль должен содержать <ul>
                                        <li>Не менее 8 символов</li>
                                        <li>Строчные и заглавные буквы</li>
                                        <li>Цифры (1, 2, 3, ..., 9)</li>
                                        <li>Символы($, %, !, ...)</li>
                                        </ul>" +++ pl-4-->

                                {{ form.password1 }}


                                <div class="input-group-prepend">
                                    <div class="input-group-text"><i class="flaticon-password"></i></div>
                                </div>
                            </div>
                            <!--<p class="error-message not-error-message text-center mt-2">Пароль должен содержать
                                        не
                                        менее 8 символов, а так же строчные, заглавные буквы, цифры и символы</p>-->
                            <div class="mb0 form-group input-group">

                                {{ form.password2 }}
                                <div class="input-group-prepend">
                                    <div class="input-group-text"><i class="flaticon-password"></i></div>
                                </div>

                            </div>
                            <!--{% if form.password2.errors %}
                        <p class="error-message text-center mt-2">Пароль слишком простой или пароли
                            не совпадают</p>
                        {% endif %}-->
                            {{ form.type }}
                            <div class="pt-3 pb-2 form-group custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="exampleCheck2" required>
                                <label class="custom-control-label checkbox-class" for="exampleCheck2">Я
                                    прочитал и принимаю <a class="" href="https://info.homeet.styleru.org"
                                        target="_blank">Условия</a> и
                                    <a class="" href="https://www.hse.ru/data_protection_regulation"
                                        target="_blank">Политику
                                        конфиденциальности</a>?</label>
                            </div>
                            <div class="pt-md-0 pt-3">
                                <button type="submit" class="btn btn-log btn-block btn-thm">Зарегистрироваться
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            {% endif %}
        </div>
        </div>

    </main>

    <footer class="custom-footer w-100">
        <div class="container-fluid pl20 pt-3 text-white">
            <div class="row db-992 flex-row-reverse text-lg-left text-sm-center text-center">
                <div class="col-lg-2 col-md-12 col align-self-end d-sm-flex d-flex justify-content-center">
                    <ul>
                        <li class="mx-lg-0 mx-auto pb-3 fs-20 font-weight-bold">Контакты</li>
                        <li class="mx-auto"><a href="mailto:homeet@styleru.org">homeet@styleru.org</a><br>
                            <a href="http://vk.me/ruhomeet">Тех. поддержка</a>
                        </li>
                    </ul>
                </div>
                <div class="col-lg-2 col-md-12 col align-self-end d-sm-flex d-flex justify-content-center">
                    <ul>
                        <li class="pb-3 mx-auto"><a class="fs-20 font-weight-bold"
                                href="https://info.homeet.styleru.org/">Главная</a></li>
                        <li class="mx-auto"><a href="https://info.homeet.styleru.org/student">Студентам</a><br>
                            <a href="https://info.homeet.styleru.org/realtor">Риелторам</a>
                        </li>
                    </ul>
                </div>
                <div class="col align-items-center justify-content-lg-start d-sm-flex d-flex justify-content-center">
                    <ul>
                        <li class="pb-3 mx-lg-0 mx-auto"><a href="https://info.homeet.styleru.org/">
                                <img class="h80 h-md-0" src="{% static 'general/images/new-logo.svg' %}"></a></li>
                        <li class="mx-auto">©2022 Homeet.<br>Сделано <a href="https://styleru.org/">«Бизнес в стиле.RU»</a></li>

                    </ul>
                </div>
            </div>
        </div>
    </footer>

    <!-- Wrapper End -->
    <script type="text/javascript" src="{% static 'general/js/jquery-3.3.1.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/jquery-migrate-3.0.0.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/popper.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/bootstrap.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/jquery.mmenu.all.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/ace-responsive-menu.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/bootstrap-select.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/isotop.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/snackbar.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/simplebar.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/parallax.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/scrollto.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/jquery-scrolltofixed-min.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/jquery.counterup.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/wow.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/slider.js' %}"></script>
    <script type="text/javascript" src="{% static 'general/js/timepicker.js' %}"></script>
    <!-- Custom script for all pages -->
    <script type="text/javascript" src="{% static 'general/js/script.js' %}"></script>

    {% if error or form.email.errors or form.password2.errors %}
    <script type="text/javascript">
        let url = window.location.pathname;
        if (url.search('/register') == -1) {
            $(window).on('load', function () {
                $("#LoginErrorModalCenter").modal("show");
            });
        }
    </script>
    {% endif %}
    {% if restore %}
    <script type="text/javascript">
        $(window).on('load', function () {
            $('#modal-reset-password').modal('show');
        });
    </script>
    {% endif %}
    {% if 'User with this Email already exists.' in form.email.errors or form.password2.errors or 'Domain of email is not valid' in form.email.errors %}
    <script type="text/javascript">
        if (url.search('/register') != -1) {
            $(window).on('load', function () {
                $('#RegisterErrors').modal('show');
            });
        }
    </script>
    {% endif %}
    <script>
        $("#restoreClick").click(function (event) {
            event.preventDefault();
            $('#modal-login').modal('hide');
            $('#modal-restore-email').modal('show');
        });
    </script>
</body>

</html>